## org.apache.tools.ant.taskdefs
Class Javadoc.Html

    java.lang.Object
      org.apache.tools.ant.taskdefs.Javadoc.Html

Enclosing class:
  Javadoc

public static class Javadoc.Html
extends java.lang.Object

An HTML element in the javadoc. This class is used for those javadoc elements which contain HTML such as footers, headers, etc.

Constructor Summary
`Javadoc.Html()`

Method Summary
`void` `addText(java.lang.String t)` Add text to the element.
`java.lang.String` `getText()` Get the current text for the element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Javadoc.Html

    public Javadoc.Html()

Method Detail

### addText

    public void addText(java.lang.String t)

  Add text to the element.

  Parameters:
    `t` - the text to be added.

### getText

    public java.lang.String getText()

  Get the current text for the element.

  Returns:
    the current text.

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.